# Carolyn McNabb - dcm2bids script for WAND data
#!/bin/bash

#Define subject - $1 represents the first input argument from the SLURM file (in this case, the subject ID)
# id=$1
# sub=${id//$"314_"/}
sub=$1

#Set up paths
bids_dir=/cubric/scratch/sapcm15/BioBank_forCarolyn/sourcedata
home_dir=/home/sapcm15
dicom_dir=/cubric/scratch/sapcm15/BioBank_forCarolyn/XNATDownloads
json_dir=${home_dir}/gitlab/brainandgenomicshub/DownloadData

echo "running dcm2bids for ${sub}"

#use dcm2bids environment
source activate ${home_dir}/dcm2bids_env

#run dcm2bids analysis
dcm2bids -d ${dicom_dir}/${sub}/scans -p ${sub} -s 01 -c ${json_dir}/dcm2bids_config_SW2.json -o ${bids_dir} #for collab bids