#!/bin/bash
#SBATCH --mail-user=mcnabbc1@cardiff.ac.uk
#SBATCH --mail-type=END
#SBATCH --job-name=SW2_merge_echoes
#SBATCH --partition=cubric-rocky8
#SBATCH -o /cubric/collab/599_hub/sbatch_reports/SW2_merge_echoes_%j.out
#SBATCH -e /cubric/collab/599_hub/sbatch_reports/SW2_merge_echoes_%j.err
#SBATCH --array=1-3

#change gitpath to the location of this repository
gitpath=/home/sapcm15/gitlab/brainandgenomicshub/SWI_SEPIA

export PATH=$PATH:${gitpath}

# use the SLURM_ARRAY_TASK_ID to define the subject ID (sub) from the subject_list.txt file
sub=$(sed -n ${SLURM_ARRAY_TASK_ID}p ${gitpath}/subject_list.txt)

echo "Merging SWI echoes for ${sub}"
batch_merge_echoes.sh ${sub}