#!/bin/bash
#Carolyn McNabb 2025
#This script will merge the different echoes from the SWI data for the BPRINT project

#get the subject id from the SLURM script
sub=$1

#Set paths and variables
gitpath=/home/sapcm15/gitlab/brainandgenomicshub/SWI_SEPIA
data_dir=/cubric/collab/599_hub/hub_data/${sub}/ses-01/swi
out_dir=/cubric/collab/599_hub/hub_data/derivatives/SWI_SEPIA/preprocessed/${sub}


#make a directory for the files to go into
mkdir -p ${out_dir}

#merge echoes for magnitude and phase data and store in the output directory
for part in mag phase; do
    fslmerge -t ${out_dir}/${sub}_ses-01_part-${part}_GRE.nii.gz ${data_dir}/${sub}_ses-01_echo-1_part-${part}_GRE.nii.gz ${data_dir}/${sub}_ses-01_echo-2_part-${part}_GRE.nii.gz

#copy the json files for the first echo over - this seems to be fine for sepia
cp ${data_dir}/${sub}_ses-01_echo-1_part-${part}_GRE.json ${out_dir}/${sub}_ses-01_part-${part}_GRE.json 
done

#lastly, copy the SEPIA header file into the folder so it can be picked up by the toolbox
cp ${gitpath}/SEPIA_header.mat ${out_dir}